<?php
/**
 * openbox skin to integrate into the new openbox site
 *
 */

if( !defined( 'MEDIAWIKI' ) )
  die( -1 );

/** */
require_once('includes/SkinTemplate.php');

/**
 * Inherit main code from SkinTemplate, set the CSS and template filter.
 * @todo document
 * @addtogroup Skins
 */
class SkinOpenbox extends SkinTemplate {
  function initPage( &$out ) {
    SkinTemplate::initPage( $out );
    $this->skinname  = 'openbox';
    $this->stylename = 'openbox';
    $this->template  = 'OpenboxTemplate';
  }
}

class OpenboxTemplate extends QuickTemplate {
  function execute() {
    global $wgUser;
    $skin = $wgUser->getSkin();

    // Suppress warnings to prevent notices about missing indexes in
    // $this->data
    wfSuppressWarnings();

    // wiki style shows the wiki things all the time, help style hides them
    // out of view a bit
    $style_wiki=1;
    $style_help=2;
    $style=$style_wiki;

    $title = htmlspecialchars($this->data['title']);
    $matches;
    if (preg_match('/^Openbox:(.*)/', $title, &$matches)) {
      $title=$matches[1];
      $style=$style_help;
    }
    $breadcrumb=array('Home', '..', 'Help', '.');

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="<?php $this->text('xhtmldefaultnamespace') ?>" <?php 
     foreach($this->data['xhtmlnamespaces'] as $tag => $ns) {
       ?>xmlns:<?php echo "{$tag}=\"{$ns}\" ";
     } ?>xml:lang="<?php $this->text('lang') ?>" lang="<?php $this->text('lang') ?>" dir="<?php $this->text('dir') ?>">

<?php include('../head.php'); ?>
  <?php $this->html('headlinks') ?>

  <link rel="stylesheet" type="text/css" href="../css/help.css" />
  <link rel="stylesheet" type="text/css" href="../css/wiki.css" />

  <!--[-if lt IE 7]>
    <script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath') ?>/common/IEFixes.js?<?php echo $GLOBALS['wgStyleVersion'] ?>"></script>
    <meta http-equiv="imagetoolbar" content="no" />
  <![endif]-->

  <?php print Skin::makeGlobalVariablesScript( $this->data ); ?>
                
  <script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath' ) ?>/common/wikibits.js?<?php echo $GLOBALS['wgStyleVersion'] ?>"><!-- wikibits js --></script>

<!--
  <?php if($this->data['jsvarurl'  ]) { ?>
  <script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('jsvarurl'  ) ?>"></script>
  <?php } ?>
-->
<!--
  <?php if($this->data['pagecss'   ]) { ?>
  <style type="text/css"><?php $this->html('pagecss'   ) ?></style>
  <?php } ?>
  <?php if($this->data['usercss'   ]) { ?>
  <style type="text/css"><?php $this->html('usercss'   ) ?></style>
  <?php } ?>
  <?php if($this->data['userjs'    ]) { ?>
  <script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('userjs' ) ?>"></script>
  <?php } ?>
  <?php if($this->data['userjsprev']) { ?>
  <script type="<?php $this->text('jsmimetype') ?>"><?php $this->html('userjsprev') ?></script>
  <?php } ?>
-->

<!--
  <?php if($this->data['trackbackhtml']) print $this->data['trackbackhtml']; ?>
-->
  <!-- Head Scripts -->
  <?php $this->html('headscripts') ?>
</head>

<body <?php if($this->data['body_ondblclick']) { ?>ondblclick="<?php $this->text('body_ondblclick') ?>"<?php } ?>
<?php if($this->data['body_onload'    ]) { ?>onload="<?php     $this->text('body_onload')     ?>"<?php } ?>
 class="mediawiki <?php $this->text('nsclass') ?> <?php $this->text('dir') ?> <?php $this->text('pageclass') ?>">

<?php include('../top.php'); ?>

<div id="splash">
  <?php include('../searchbox.html') ?>
  <img class="icon" src="../images/splash/help.png" alt="help"/>
  <h2><?php echo $title ?></h2>
  <div class="clear"></div>
</div>

<?php include('../content.php'); ?>

<div id="wikithings">
  <?php if($this->data['undelete']) { ?>
  <div id="contentSub2"><?php     $this->html('undelete') ?></div>
  <?php } ?>

  <?php if($this->data['newtalk'] ) { ?>
  <div class="usermessage"><?php $this->html('newtalk')  ?></div>
  <?php } ?>
</div>

<div id="col1">
<h5>hi</h5>
			<?php if($this->data['catlinks']) { ?><div id="catlinks"><?php       $this->html('catlinks') ?></div><?php } ?>
</div>

<div id="col2" class="widecol">
<?php $this->html('bodytext') ?>
</div>


<?php include('../bottom.php'); ?>

<?php exit; ?>


		<div id="bodyContent">
			<!-- start content -->
			<!-- end content -->
			<div class="visualClear"></div>
		</div>
	</div>
		</div>
		<div id="column-one">
	<div id="p-cactions" class="portlet">
		<h5><?php $this->msg('views') ?></h5>
		<div class="pBody">
			<ul>
	<?php			foreach($this->data['content_actions'] as $key => $tab) { ?>
				 <li id="ca-<?php echo Sanitizer::escapeId($key) ?>"<?php
					 	if($tab['class']) { ?> class="<?php echo htmlspecialchars($tab['class']) ?>"<?php }
					 ?>><a href="<?php echo htmlspecialchars($tab['href']) ?>"<?php echo $skin->tooltipAndAccesskey('ca-'.$key) ?>><?php
					 echo htmlspecialchars($tab['text']) ?></a></li>
	<?php			 } ?>
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-personal">
		<h5><?php $this->msg('personaltools') ?></h5>
		<div class="pBody">
			<ul>
<?php 			foreach($this->data['personal_urls'] as $key => $item) { ?>
				<li id="pt-<?php echo Sanitizer::escapeId($key) ?>"<?php
					if ($item['active']) { ?> class="active"<?php } ?>><a href="<?php
				echo htmlspecialchars($item['href']) ?>"<?php echo $skin->tooltipAndAccesskey('pt-'.$key) ?><?php
				if(!empty($item['class'])) { ?> class="<?php
				echo htmlspecialchars($item['class']) ?>"<?php } ?>><?php
				echo htmlspecialchars($item['text']) ?></a></li>
<?php			} ?>
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-logo">
		<a style="background-image: url(<?php $this->text('logopath') ?>);" <?php
			?>href="<?php echo htmlspecialchars($this->data['nav_urls']['mainpage']['href'])?>"<?php
			echo $skin->tooltipAndAccesskey('n-mainpage') ?>></a>
	</div>
	<script type="<?php $this->text('jsmimetype') ?>"> if (window.isMSIE55) fixalpha(); </script>
	<?php foreach ($this->data['sidebar'] as $bar => $cont) { ?>
	<div class='portlet' id='p-<?php echo Sanitizer::escapeId($bar) ?>'<?php echo $skin->tooltip('p-'.$bar) ?>>
		<h5><?php $out = wfMsg( $bar ); if (wfEmptyMsg($bar, $out)) echo $bar; else echo $out; ?></h5>
		<div class='pBody'>
			<ul>
<?php 			foreach($cont as $key => $val) { ?>
				<li id="<?php echo Sanitizer::escapeId($val['id']) ?>"<?php
					if ( $val['active'] ) { ?> class="active" <?php }
				?>><a href="<?php echo htmlspecialchars($val['href']) ?>"<?php echo $skin->tooltipAndAccesskey($val['id']) ?>><?php echo htmlspecialchars($val['text']) ?></a></li>
<?php			} ?>
			</ul>
		</div>
	</div>
	<?php } ?>
	<div id="p-search" class="portlet">
		<h5><label for="searchInput"><?php $this->msg('search') ?></label></h5>
		<div id="searchBody" class="pBody">
			<form action="<?php $this->text('searchaction') ?>" id="searchform"><div>
				<input id="searchInput" name="search" type="text"<?php echo $skin->tooltipAndAccesskey('search');
					if( isset( $this->data['search'] ) ) {
						?> value="<?php $this->text('search') ?>"<?php } ?> />
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="<?php $this->msg('searcharticle') ?>" />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="<?php $this->msg('searchbutton') ?>" />
			</div></form>
		</div>
	</div>
	<div class="portlet" id="p-tb">
		<h5><?php $this->msg('toolbox') ?></h5>
		<div class="pBody">
			<ul>
<?php
		if($this->data['notspecialpage']) { ?>
				<li id="t-whatlinkshere"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['whatlinkshere']['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-whatlinkshere') ?>><?php $this->msg('whatlinkshere') ?></a></li>
<?php
			if( $this->data['nav_urls']['recentchangeslinked'] ) { ?>
				<li id="t-recentchangeslinked"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['recentchangeslinked']['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-recentchangeslinked') ?>><?php $this->msg('recentchangeslinked') ?></a></li>
<?php 		}
		}
		if(isset($this->data['nav_urls']['trackbacklink'])) { ?>
			<li id="t-trackbacklink"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['trackbacklink']['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-trackbacklink') ?>><?php $this->msg('trackbacklink') ?></a></li>
<?php 	}
		if($this->data['feeds']) { ?>
			<li id="feedlinks"><?php foreach($this->data['feeds'] as $key => $feed) {
					?><span id="feed-<?php echo Sanitizer::escapeId($key) ?>"><a href="<?php
					echo htmlspecialchars($feed['href']) ?>"<?php echo $skin->tooltipAndAccesskey('feed-'.$key) ?>><?php echo htmlspecialchars($feed['text'])?></a>&nbsp;</span>
					<?php } ?></li><?php
		}

		foreach( array('contributions', 'blockip', 'emailuser', 'upload', 'specialpages') as $special ) {

			if($this->data['nav_urls'][$special]) {
				?><li id="t-<?php echo $special ?>"><a href="<?php echo htmlspecialchars($this->data['nav_urls'][$special]['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-'.$special) ?>><?php $this->msg($special) ?></a></li>
<?php		}
		}

		if(!empty($this->data['nav_urls']['print']['href'])) { ?>
				<li id="t-print"><a href="<?php echo htmlspecialchars($this->data['nav_urls']['print']['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-print') ?>><?php $this->msg('printableversion') ?></a></li><?php
		}

		if(!empty($this->data['nav_urls']['permalink']['href'])) { ?>
				<li id="t-permalink"><a href="<?php echo htmlspecialchars($this->data['nav_urls']['permalink']['href'])
				?>"<?php echo $skin->tooltipAndAccesskey('t-permalink') ?>><?php $this->msg('permalink') ?></a></li><?php
		} elseif ($this->data['nav_urls']['permalink']['href'] === '') { ?>
				<li id="t-ispermalink"<?php echo $skin->tooltip('t-ispermalink') ?>><?php $this->msg('permalink') ?></li><?php
		}

		wfRunHooks( 'MonoBookTemplateToolboxEnd', array( &$this ) );
?>
			</ul>
		</div>
	</div>

	<div id="p-advertisement" class="portlet">
		<h5>books for children</h5>
		<div class="pBody">
			<!-- Phoophie ad! -->
			<!--
			<div><a target="_BLANK" href="http://www.phoophie.com"><img src="/openbox/webgfx/bannerbyeve3.gif" /></a></div>
			-->

			<!-- Books for Africa widget -->
			<div><small>Help us support the 
			  Fray Luis Primary School through
			  <a target="_blank" href="http://www.booksforafrica.org/donate/projects.php?p=11">Books for Africa</a>
			</small></div>
<a href="http://www.firstgiving.com/chatoyance" alt="Firstgiving- SPONSOR ME" target="_blank"><img src="http://www.firstgiving.com/design/1/images/badges/firstgiving_badge5.gif" border="0" width="150" height="85"></a>
			<!-- no flash please...
			<object type="application/x-shockwave-flash"
			        allowScriptAccess="always" 
			        allowNetworking="all"
			        height="230" width="150" align="middle"
			        data="http://www.firstgiving.com/widgets/fgwidget.swf"
			        flashvars="EggId=380566">
			  <param name="allowScriptAccess" value="always" />
			  <param name="allowNetworking" value="all" />
			  <param name="movie"
			         value="http://www.firstgiving.com/widgets/fgwidget.swf" />
			  <param name="quality" value="high" />
			  <param name="wmode" value="transparent" />
			  <param name="flashvars" value="EggId=380566" />
			  <param name="bgcolor" value="#ffffff" />
			</object-->
		</div>
	</div>

<?php
		if( $this->data['language_urls'] ) { ?>
	<div id="p-lang" class="portlet">
		<h5><?php $this->msg('otherlanguages') ?></h5>
		<div class="pBody">
			<ul>
<?php		foreach($this->data['language_urls'] as $langlink) { ?>
				<li class="<?php echo htmlspecialchars($langlink['class'])?>"><?php
				?><a href="<?php echo htmlspecialchars($langlink['href']) ?>"><?php echo $langlink['text'] ?></a></li>
<?php		} ?>
			</ul>
		</div>
	</div>
<?php	} ?>
		</div><!-- end of the left (by default at least) column -->
			<div class="visualClear"></div>
			<div id="footer">
<?php
		if($this->data['poweredbyico']) { ?>
				<div id="f-poweredbyico"><?php $this->html('poweredbyico') ?></div>
<?php 	}
		if($this->data['copyrightico']) { ?>
				<div id="f-copyrightico"><?php $this->html('copyrightico') ?></div>
<?php	}

		// Generate additional footer links
?>
			<ul id="f-list">
<?php
		$footerlinks = array(
			'lastmod', 'viewcount', 'numberofwatchingusers', 'credits', 'copyright',
			'privacy', 'about', 'disclaimer', 'tagline',
		);
		foreach( $footerlinks as $aLink ) {
			if( isset( $this->data[$aLink] ) && $this->data[$aLink] ) {
?>				<li id="<?php echo$aLink?>"><?php $this->html($aLink) ?></li>
<?php 		}
		}
?>
			</ul>
		</div>
		
	<?php $this->html('bottomscripts'); /* JS call to runBodyOnloadHook */ ?>
</div>
<?php $this->html('reporttime') ?>
<?php if ( $this->data['debug'] ): ?>
<!-- Debug output:
<?php $this->text( 'debug' ); ?>

-->
<?php endif; ?>
</body></html>
<?php
	wfRestoreWarnings();
	} // end of execute() method
} // end of class
?>
